## dfvfs 20170723

=== requirements.txt ===
pip >= 7.0.0
backports.lzma
construct >= 2.5.2,<= 2.5.3
dfdatetime >= 20160814
libbde-python >= 20140531
libewf-python >= 20131210
libfsntfs-python >= 20151130
libfvde-python >= 20160719
libfwnt-python >= 20160418
libqcow-python >= 20131204
libsigscan-python >= 20150627
libsmdev-python >= 20140529
libsmraw-python >= 20140612
libvhdi-python >= 20131210
libvmdk-python >= 20140421
libvshadow-python >= 20160109
libvslvm-python >= 20160109
pycrypto >= 2.6.0
pytsk3 >= 20160721
six >= 1.1.0

## dfvfs 20150708+dfsg

=== debian/changelog ===
dfvfs (20150708+dfsg-1) unstable; urgency=medium

  * Removed test data from orig tarball because it may contain non-free
    bits
  * Added script to automatically purge test_data/ from orig tarball;
    updated watch file

 -- Hilko Bengen <bengen@debian.org>  Wed, 05 Aug 2015 20:09:17 +0200

dfvfs (20150708-2) unstable; urgency=medium

  * Gave package to Debian Forensics team
  * Added dh-python to Build-Depends

 -- Hilko Bengen <bengen@debian.org>  Tue, 04 Aug 2015 19:21:29 +0200

dfvfs (20150708-1) unstable; urgency=low

  * Initial release (Closes: #792350)

 -- Hilko Bengen <bengen@debian.org>  Mon, 20 Jul 2015 11:22:26 +0200

=== debian/control ===
Source: dfvfs
Section: python
Priority: optional
Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
Uploaders: Hilko Bengen <bengen@debian.org>
Build-Depends: debhelper (>= 9), dh-python, python, python-setuptools,
Standards-Version: 3.9.6
Homepage: https://github.com/log2timeline/dfvfs
Vcs-Git: git://anonscm.debian.org/forensics/dfvfs.git
Vcs-Browser: https://anonscm.debian.org/cgit/forensics/dfvfs.git

Package: python-dfvfs
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-construct,
 python-six,
 python-protobuf,
 python-tsk,
 python-libbde,
 python-libewf,
 python-libqcow,
 python-libsigscan,
 python-libsmdev,
 python-libsmraw,
 python-libvhdi,
 python-libvmdk,
 python-libvshadow,
Description: Digital Forensics Virtual File System
 The Digital Forensics Virtual File System, provides read-only access
 to file-system objects from various storage media types and file
 formats. The goal of dfVFS is to provide a generic interface for
 accessing file-system objects, for which it uses several back-ends
 that provide the actual implementation of the various storage media
 types, volume systems and file systems.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# main packaging script based on dh7 syntax
%:
	dh $@ --with=python2

override_dh_install:
	dh_install
	rm -f debian/python-dfvfs/usr/share/doc/dfvfs/LICENSE

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$// \
    https://github.com/log2timeline/dfvfs/releases .*/archive/(20.*)\.tar\.gz \
    debian debian/orig-tar.sh

## dfvfs 20160203

=== debian/changelog ===
dfvfs (20160203-2) unstable; urgency=medium

  * Add missing python-crypto dependency

 -- Hilko Bengen <bengen@debian.org>  Mon, 08 Feb 2016 21:00:10 +0100

dfvfs (20160203-1) unstable; urgency=medium

  * New upstream version
  * Add python-libvslvm dependency

 -- Hilko Bengen <bengen@debian.org>  Mon, 08 Feb 2016 08:25:27 +0100

dfvfs (20160108-2) unstable; urgency=medium

  * Set LC_CTYPE to avoid FTBFS (Closes: #812733)

 -- Hilko Bengen <bengen@debian.org>  Tue, 26 Jan 2016 21:57:22 +0100

dfvfs (20160108-1) unstable; urgency=medium

  * New upstream version
  * Add python-fsntfs (build-)dependency
  * Enable tests; no longer strip test data because there are no longer
    non-free bits in the filesystem images (See
    <https://github.com/log2timeline/dfvfs/issues/47>)

 -- Hilko Bengen <bengen@debian.org>  Mon, 25 Jan 2016 01:38:01 +0100

dfvfs (20151216+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 20151216+dfsg

 -- Hilko Bengen <bengen@debian.org>  Thu, 24 Dec 2015 14:20:01 +0100

dfvfs (20151213+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Sun, 13 Dec 2015 21:38:34 +0100

dfvfs (20151008+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Mon, 19 Oct 2015 19:36:51 +0200

dfvfs (20150915+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Wed, 16 Sep 2015 19:57:30 +0200

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,22 @@
 Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
 Uploaders: Hilko Bengen <bengen@debian.org>
 Build-Depends: debhelper (>= 9), dh-python, python, python-setuptools,
+ python-construct,
+ python-crypto,
+ python-six,
+ python-protobuf,
+ python-tsk,
+ python-libbde,
+ python-libewf,
+ python-libfsntfs,
+ python-libqcow,
+ python-libsigscan,
+ python-libsmdev,
+ python-libsmraw,
+ python-libvhdi,
+ python-libvmdk,
+ python-libvshadow,
+ python-libvslvm,
 Standards-Version: 3.9.6
 Homepage: https://github.com/log2timeline/dfvfs
 Vcs-Git: git://anonscm.debian.org/forensics/dfvfs.git
@@ -13,11 +29,13 @@
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
  python-construct,
+ python-crypto,
  python-six,
  python-protobuf,
  python-tsk,
  python-libbde,
  python-libewf,
+ python-libfsntfs,
  python-libqcow,
  python-libsigscan,
  python-libsmdev,

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,10 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
 
+# Tests may fail due to stupid Python UnicodeEncodeError exceptions
+# otherwise.
+export LC_ALL=C.UTF-8
+
 # main packaging script based on dh7 syntax
 %:
 	dh $@ --with=python2
@@ -14,3 +18,6 @@
 override_dh_install:
 	dh_install
 	rm -f debian/python-dfvfs/usr/share/doc/dfvfs/LICENSE
+
+override_dh_auto_test:
+	python run_tests.py

## dfvfs 20160803

=== debian/changelog ===
dfvfs (20160803-1) unstable; urgency=medium

  * New upstream version
  * Update build-dependencies, dependencies
  * Patch tests

 -- Hilko Bengen <bengen@debian.org>  Sat, 13 Aug 2016 13:19:20 +0200

dfvfs (20160510-1) unstable; urgency=medium

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Wed, 11 May 2016 08:42:40 +0200

dfvfs (20160504-1) unstable; urgency=medium

  * New upstream version
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Thu, 05 May 2016 14:31:01 +0200

dfvfs (20160428-2) unstable; urgency=medium

  * Update (build-)dependencies

 -- Hilko Bengen <bengen@debian.org>  Sat, 30 Apr 2016 02:00:44 +0200

dfvfs (20160428-1) unstable; urgency=medium

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Fri, 29 Apr 2016 19:04:19 +0200

dfvfs (20160330-1) unstable; urgency=medium

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Thu, 07 Apr 2016 07:47:28 +0200

dfvfs (20160306-1) unstable; urgency=medium

  * New upstream version
  * Add python-lzma build dependency (for tests)

 -- Hilko Bengen <bengen@debian.org>  Thu, 17 Mar 2016 22:47:41 +0100

## dfvfs 20160918

=== debian/changelog ===
dfvfs (20160918-1) unstable; urgency=medium

  * New upstream version 20160918

 -- Hilko Bengen <bengen@debian.org>  Mon, 19 Sep 2016 09:46:17 +0200

=== debian/control ===
Source: dfvfs
Section: python
Priority: optional
Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
Uploaders: Hilko Bengen <bengen@debian.org>
Build-Depends: debhelper (>= 9), dh-python, python, python-setuptools,
 python-construct (>= 2.5.2),
 python-crypto (>= 2.6.0),
 python-dfdatetime (>= 20160311),
 python-six (>= 1.1.0),
 python-protobuf,
 python-tsk (>= 20140506),
 python-libbde (>= 20140531),
 python-libewf (>= 20131210),
 python-libfsntfs (>= 20160418),
 python-libfvde (>= 20160719),
 python-libfwnt (>= 20160418),
 python-libqcow (>= 20131204),
 python-libsigscan (>= 20150627),
 python-libsmdev (>= 20140428),
 python-libsmraw (>= 20140612),
 python-libvhdi (>= 20160423),
 python-libvmdk (>= 20140421),
 python-libvshadow (>= 20160110),
 python-libvslvm (>= 20160109),
 python-lzma,
Standards-Version: 3.9.8
Homepage: https://github.com/log2timeline/dfvfs
Vcs-Git: git://anonscm.debian.org/forensics/dfvfs.git
Vcs-Browser: https://anonscm.debian.org/cgit/forensics/dfvfs.git

Package: python-dfvfs
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-construct (>= 2.5.2),
 python-crypto (>= 2.6.0),
 python-dfdatetime (>= 20160311),
 python-six (>= 1.1.0),
 python-protobuf,
 python-tsk (>= 20140506),
 python-libbde (>= 20140531),
 python-libewf (>= 20131210),
 python-libfsntfs (>= 20160418),
 python-libfvde (>= 20160719),
 python-libfwnt (>= 20160418),
 python-libqcow (>= 20131204),
 python-libsigscan (>= 20150627),
 python-libsmdev (>= 20140428),
 python-libsmraw (>= 20140612),
 python-libvhdi (>= 20160423),
 python-libvmdk (>= 20140421),
 python-libvshadow (>= 20160110),
 python-libvslvm (>= 20160109),
Description: Digital Forensics Virtual File System
 The Digital Forensics Virtual File System, provides read-only access
 to file-system objects from various storage media types and file
 formats. The goal of dfVFS is to provide a generic interface for
 accessing file-system objects, for which it uses several back-ends
 that provide the actual implementation of the various storage media
 types, volume systems and file systems.

## dfvfs 20170723

=== debian/changelog ===
dfvfs (20170723-1) unstable; urgency=medium

  * New upstream version 20170723

 -- Hilko Bengen <bengen@debian.org>  Mon, 24 Jul 2017 13:52:53 +0200

dfvfs (20170719-1) unstable; urgency=medium

  * New upstream version 20170719

 -- Hilko Bengen <bengen@debian.org>  Thu, 20 Jul 2017 10:26:10 +0200

dfvfs (20170715-1) unstable; urgency=medium

  * New upstream version 20170715
  * Add python-mock build-dependency

 -- Hilko Bengen <bengen@debian.org>  Sun, 16 Jul 2017 13:44:43 +0200

dfvfs (20170406-1) unstable; urgency=medium

  * New upstream version 20170406

 -- Hilko Bengen <bengen@debian.org>  Sun, 16 Apr 2017 19:06:16 +0200

dfvfs (20170116-1) unstable; urgency=medium

  * New upstream version 20170116
  * Drop patch

 -- Hilko Bengen <bengen@debian.org>  Mon, 06 Mar 2017 10:42:09 +0100

=== debian/control ===
--- 
+++ 
@@ -24,6 +24,7 @@
  python-libvshadow (>= 20160110),
  python-libvslvm (>= 20160109),
  python-lzma,
+ python-mock,
 Standards-Version: 3.9.8
 Homepage: https://github.com/log2timeline/dfvfs
 Vcs-Git: git://anonscm.debian.org/forensics/dfvfs.git

## dfvfs 20171230

=== requirements.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 pip >= 7.0.0
-backports.lzma
+backports.lzma ; python_version < '3.0'
 construct >= 2.5.2,<= 2.5.3
-dfdatetime >= 20160814
+dfdatetime >= 20171228
 libbde-python >= 20140531
 libewf-python >= 20131210
 libfsntfs-python >= 20151130
@@ -15,6 +15,6 @@
 libvmdk-python >= 20140421
 libvshadow-python >= 20160109
 libvslvm-python >= 20160109
-pycrypto >= 2.6.0
+pycrypto >= 2.6
 pytsk3 >= 20160721
 six >= 1.1.0

=== debian/changelog ===
dfvfs (20171230-1ubuntu1) bionic; urgency=medium

  * test-fail-workaround.diff: Workaround for multiple close of file-
    like object. (FTBFS)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 01 Mar 2018 10:30:10 +0200

dfvfs (20171230-1) unstable; urgency=medium

  * New upstream version 20171230
  * Bump Standards-Version
  * Update patch
  * Update dependencies

 -- Hilko Bengen <bengen@debian.org>  Sun, 31 Dec 2017 15:33:51 +0100

dfvfs (20171228-1) unstable; urgency=medium

  * New upstream version 20171228
  * Update patch

 -- Hilko Bengen <bengen@debian.org>  Fri, 29 Dec 2017 14:40:31 +0100

dfvfs (20171227-1) unstable; urgency=medium

  * New upstream version 20171227

 -- Hilko Bengen <bengen@debian.org>  Thu, 28 Dec 2017 13:29:09 +0100

dfvfs (20171216-1) unstable; urgency=medium

  * New upstream version 20171216

 -- Hilko Bengen <bengen@debian.org>  Fri, 22 Dec 2017 18:43:09 +0100

dfvfs (20171203-1) unstable; urgency=medium

  * New upstream version 20171203
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Mon, 04 Dec 2017 13:48:22 +0100

dfvfs (20171125-1) unstable; urgency=medium

  * New upstream version 20171125
  * Update versioned (build-)dependencies according to upstream's
    requirements.txt
  * Support python-construct.legacy (Closes: #882243)

 -- Hilko Bengen <bengen@debian.org>  Mon, 27 Nov 2017 18:03:09 +0100

dfvfs (20171022-1) unstable; urgency=medium

  * New upstream version 20171022
  * Update package: Bump Standards-Version, DH compat level, update
    VCS URLs

 -- Hilko Bengen <bengen@debian.org>  Thu, 09 Nov 2017 23:46:31 +0100

=== debian/control ===
Source: dfvfs
Section: python
Priority: optional
Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
Uploaders: Hilko Bengen <bengen@debian.org>
Build-Depends: debhelper (>= 10), dh-python, python, python-setuptools,
 python-construct.legacy | python-construct (<< 2.8),
 python-crypto (>= 2.6.0),
 python-dfdatetime (>= 20171228),
 python-six (>= 1.1.0),
 python-protobuf,
 python-tsk (>= 20160721),
 python-libbde (>= 20140531),
 python-libewf (>= 20131210),
 python-libfsntfs (>= 20151130),
 python-libfvde (>= 20160719),
 python-libfwnt (>= 20160418),
 python-libqcow (>= 20131204),
 python-libsigscan (>= 20150627),
 python-libsmdev (>= 20140529),
 python-libsmraw (>= 20140612),
 python-libvhdi (>= 20131210),
 python-libvmdk (>= 20140421),
 python-libvshadow (>= 20160109),
 python-libvslvm (>= 20160109),
 python-lzma,
 python-mock,
Standards-Version: 4.1.3
Homepage: https://github.com/log2timeline/dfvfs
Vcs-Git: https://anonscm.debian.org/git/forensics/dfvfs.git
Vcs-Browser: https://anonscm.debian.org/git/forensics/dfvfs.git

Package: python-dfvfs
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-construct.legacy | python-construct (<< 2.8),
 python-crypto (>= 2.6.0),
 python-dfdatetime (>= 20171228),
 python-six (>= 1.1.0),
 python-protobuf,
 python-tsk (>= 20160721),
 python-libbde (>= 20140531),
 python-libewf (>= 20131210),
 python-libfsntfs (>= 20151130),
 python-libfvde (>= 20160719),
 python-libfwnt (>= 20160418),
 python-libqcow (>= 20131204),
 python-libsigscan (>= 20150627),
 python-libsmdev (>= 20140529),
 python-libsmraw (>= 20140612),
 python-libvhdi (>= 20131210),
 python-libvmdk (>= 20140421),
 python-libvshadow (>= 20160109),
 python-libvslvm (>= 20160109),
 python-lzma,
Description: Digital Forensics Virtual File System
 The Digital Forensics Virtual File System, provides read-only access
 to file-system objects from various storage media types and file
 formats. The goal of dfVFS is to provide a generic interface for
 accessing file-system objects, for which it uses several back-ends
 that provide the actual implementation of the various storage media
 types, volume systems and file systems.

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$// \
    https://github.com/log2timeline/dfvfs/releases .*/archive/(20.*)\.tar\.gz

## dfvfs 20180326

=== requirements.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 pip >= 7.0.0
 backports.lzma ; python_version < '3.0'
 construct >= 2.5.2,<= 2.5.3
-dfdatetime >= 20171228
+dfdatetime >= 20180324
 libbde-python >= 20140531
 libewf-python >= 20131210
 libfsntfs-python >= 20151130

=== debian/changelog ===
dfvfs (20180326-1) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org

  [ Hilko Bengen ]
  * New upstream version 20180326
  * Update patch
  * Update dfdatetime dependency

 -- Hilko Bengen <bengen@debian.org>  Thu, 29 Mar 2018 11:09:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: dfvfs
 Section: python
 Priority: optional
-Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Hilko Bengen <bengen@debian.org>
 Build-Depends: debhelper (>= 10), dh-python, python, python-setuptools,
  python-construct.legacy | python-construct (<< 2.8),
  python-crypto (>= 2.6.0),
- python-dfdatetime (>= 20171228),
+ python-dfdatetime (>= 20180324),
  python-six (>= 1.1.0),
  python-protobuf,
  python-tsk (>= 20160721),
@@ -27,15 +27,15 @@
  python-mock,
 Standards-Version: 4.1.3
 Homepage: https://github.com/log2timeline/dfvfs
-Vcs-Git: https://anonscm.debian.org/git/forensics/dfvfs.git
-Vcs-Browser: https://anonscm.debian.org/git/forensics/dfvfs.git
+Vcs-Git: https://salsa.debian.org/pkg-security-team/dfvfs.git
+Vcs-Browser: https://salsa.debian.org/pkg-security-team/dfvfs
 
 Package: python-dfvfs
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
  python-construct.legacy | python-construct (<< 2.8),
  python-crypto (>= 2.6.0),
- python-dfdatetime (>= 20171228),
+ python-dfdatetime (>= 20180324),
  python-six (>= 1.1.0),
  python-protobuf,
  python-tsk (>= 20160721),

## dfvfs 20190122

=== debian/changelog ===
dfvfs (20190122-1) unstable; urgency=medium

  * New upstream version 20190122
  * Add Python3 package

 -- Hilko Bengen <bengen@debian.org>  Wed, 23 Jan 2019 01:17:32 +0100

dfvfs (20181215-2) unstable; urgency=medium

  * Don't run tests in parallel

 -- Hilko Bengen <bengen@debian.org>  Tue, 22 Jan 2019 14:18:22 +0100

dfvfs (20181215-1) unstable; urgency=medium

  * watch: Mangle download filename
  * New upstream version 20181215
  * Drop construct-legacy dependency and matching patch
  * Bump Debhelper compat level
  * Bump Standards-Version
  * Update dependencies

 -- Hilko Bengen <bengen@debian.org>  Tue, 15 Jan 2019 11:43:46 +0100

## dfvfs 20190128

=== requirements.txt ===
--- 
+++ 
@@ -1,9 +1,11 @@
 pip >= 7.0.0
+PyYAML >= 3.10
 backports.lzma ; python_version < '3.0'
-construct >= 2.5.2,<= 2.5.3
-dfdatetime >= 20180324
+dfdatetime >= 20181025
+dtfabric >= 20170524
 libbde-python >= 20140531
 libewf-python >= 20131210
+libfsapfs-python >= 20181205
 libfsntfs-python >= 20151130
 libfvde-python >= 20160719
 libfwnt-python >= 20160418
@@ -17,4 +19,3 @@
 libvslvm-python >= 20160109
 pycrypto >= 2.6
 pytsk3 >= 20160721
-six >= 1.1.0

=== debian/changelog ===
dfvfs (20190128-1) unstable; urgency=medium

  * New upstream version 20190128

 -- Hilko Bengen <bengen@debian.org>  Wed, 30 Jan 2019 09:01:38 +0100

=== debian/control ===
Source: dfvfs
Section: python
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Hilko Bengen <bengen@debian.org>
Build-Depends: debhelper (>= 11), dh-python, python, python3,
 python-setuptools, python3-setuptools,
 python-fsapfs (>= 20181205), python3-fsapfs (>= 20181205),
 python-crypto (>= 2.6.0), python3-crypto (>= 2.6.0),
 python-dfdatetime (>= 20181025), python3-dfdatetime (>= 20181025),
 python-dtfabric (>= 20170524), python3-dtfabric (>= 20170524),
 python-six (>= 1.1.0), python3-six (>= 1.1.0),
 python-protobuf, python3-protobuf,
 python-tsk (>= 20160721), python3-tsk (>= 20160721),
 python-libbde (>= 20140531), python3-libbde (>= 20140531),
 python-libewf (>= 20131210), python3-libewf (>= 20131210),
 python-libfsntfs (>= 20151130), python3-libfsntfs (>= 20151130),
 python-libfvde (>= 20160719), python3-libfvde (>= 20160719),
 python-libfwnt (>= 20160418), python3-libfwnt (>= 20160418),
 python-libqcow (>= 20131204), python3-libqcow (>= 20131204),
 python-libsigscan (>= 20150627), python3-libsigscan (>= 20150627),
 python-libsmdev (>= 20140529), python3-libsmdev (>= 20140529),
 python-libsmraw (>= 20140612), python3-libsmraw (>= 20140612),
 python-libvhdi (>= 20131210), python3-libvhdi (>= 20131210),
 python-libvmdk (>= 20140421), python3-libvmdk (>= 20140421),
 python-libvshadow (>= 20160109), python3-libvshadow (>= 20160109),
 python-libvslvm (>= 20160109), python3-libvslvm (>= 20160109),
 python-lzma,
 python-mock, python3-mock,
Standards-Version: 4.3.0
Homepage: https://github.com/log2timeline/dfvfs
Vcs-Git: https://salsa.debian.org/pkg-security-team/dfvfs.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/dfvfs

Package: python-dfvfs
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-fsapfs (>= 20181205),
 python-crypto (>= 2.6.0),
 python-dfdatetime (>= 20180324),
 python-dtfabric (>= 20170524),
 python-six (>= 1.1.0),
 python-protobuf,
 python-tsk (>= 20160721),
 python-libbde (>= 20140531),
 python-libewf (>= 20131210),
 python-libfsntfs (>= 20151130),
 python-libfvde (>= 20160719),
 python-libfwnt (>= 20160418),
 python-libqcow (>= 20131204),
 python-libsigscan (>= 20150627),
 python-libsmdev (>= 20140529),
 python-libsmraw (>= 20140612),
 python-libvhdi (>= 20131210),
 python-libvmdk (>= 20140421),
 python-libvshadow (>= 20160109),
 python-libvslvm (>= 20160109),
 python-lzma,
Description: Digital Forensics Virtual File System
 The Digital Forensics Virtual File System, provides read-only access
 to file-system objects from various storage media types and file
 formats. The goal of dfVFS is to provide a generic interface for
 accessing file-system objects, for which it uses several back-ends
 that provide the actual implementation of the various storage media
 types, volume systems and file systems.

Package: python3-dfvfs
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
 python3-fsapfs (>= 20181205),
 python3-crypto (>= 2.6.0),
 python3-dfdatetime (>= 20180324),
 python3-dtfabric (>= 20170524),
 python3-six (>= 1.1.0),
 python3-protobuf,
 python3-tsk (>= 20160721),
 python3-libbde (>= 20140531),
 python3-libewf (>= 20131210),
 python3-libfsntfs (>= 20151130),
 python3-libfvde (>= 20160719),
 python3-libfwnt (>= 20160418),
 python3-libqcow (>= 20131204),
 python3-libsigscan (>= 20150627),
 python3-libsmdev (>= 20140529),
 python3-libsmraw (>= 20140612),
 python3-libvhdi (>= 20131210),
 python3-libvmdk (>= 20140421),
 python3-libvshadow (>= 20160109),
 python3-libvslvm (>= 20160109),
Description: Digital Forensics Virtual File System
 The Digital Forensics Virtual File System, provides read-only access
 to file-system objects from various storage media types and file
 formats. The goal of dfVFS is to provide a generic interface for
 accessing file-system objects, for which it uses several back-ends
 that provide the actual implementation of the various storage media
 types, volume systems and file systems.

=== debian/rules ===
--- 
+++ 
@@ -13,11 +13,14 @@
 
 # main packaging script based on dh7 syntax
 %:
-	dh $@ --with=python2
+	dh $@ --with=python2,python3 --buildsystem=pybuild
 
 override_dh_install:
-	dh_install
-	rm -f debian/python-dfvfs/usr/share/doc/dfvfs/LICENSE
+	dh_install -X/usr/share/doc/dfvfs
+
+override_dh_missing:
+	dh_missing -X/usr/share/doc/dfvfs --fail-missing
 
 override_dh_auto_test:
 	python run_tests.py
+	python3 run_tests.py

=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg\d*$//, filenamemangle=s%.*/(\d+)\.tar\.gz%dfvfs-$1.tar.gz%" \
    https://github.com/log2timeline/dfvfs/releases .*/archive/(20.*)\.tar\.gz

## dfvfs 20201219

=== requirements.txt ===
pip >= 7.0.0
PyYAML >= 3.10
cffi >= 1.9.1
cryptography >= 2.0.2
dfdatetime >= 20200809
dtfabric >= 20170524
idna >= 2.5
libbde-python >= 20140531
libewf-python >= 20131210
libfsapfs-python >= 20201107
libfsext-python >= 20200819
libfshfs-python >= 20201103
libfsntfs-python >= 20200921
libfsxfs-python >= 20201114
libfvde-python >= 20160719
libfwnt-python >= 20160418
libluksde-python >= 20200101
libqcow-python >= 20201213
libsigscan-python >= 20191221
libsmdev-python >= 20140529
libsmraw-python >= 20140612
libvhdi-python >= 20201014
libvmdk-python >= 20140421
libvshadow-python >= 20160109
libvslvm-python >= 20160109
pytsk3 >= 20160721

=== docs/requirements.txt ===
docutils
recommonmark
sphinx >= 2.0.1,< 3.3.0
sphinx-markdown-tables

=== debian/changelog ===
dfvfs (20201219-1) unstable; urgency=medium

  * Team upload.

  [ Samuel Henrique ]
  * Configure git-buildpackage

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Raphaël Hertzog ]
  * New upstream version 20201118 (Closes: #971311)
  * Bump Standards-Version to 4.5.1
  * Switch to debhelper compat level 13

  [ Sophie Brun ]
  * New upstream version 20201219
  * Update Build-depends:
    - Upgrade minimal required version of python3-tsk python3-libqcow
    - Add python3-libfsext python3-libfshfs python3-libfsxfs python3-libluksde
  * Update depends with new requirements

 -- Raphaël Hertzog <raphael@offensive-security.com>  Wed, 27 Jan 2021 16:10:34 +0100

dfvfs (20190128-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove the stale build dependency on python-setuptools.
    (Closes: #936388)

 -- Adrian Bunk <bunk@debian.org>  Wed, 29 Jan 2020 19:40:10 +0200

dfvfs (20190128-2) unstable; urgency=medium

  * Team upload

  [ Samuel Henrique ]
  * Add salsa-ci.yml

  [ Raphaël Hertzog ]
  * Drop python 2 support (Closes: #936388)
  * Protect override_dh_auto_test with DEB_BUILD_OPTIONS check
  * Bump Standards-Version to 4.4.1
  * Switch to debhelper compat level 12

 -- Raphaël Hertzog <raphael@offensive-security.com>  Tue, 03 Dec 2019 16:15:25 +0100

=== debian/control ===
Source: dfvfs
Section: python
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Hilko Bengen <bengen@debian.org>
Build-Depends: debhelper-compat (= 13), dh-python, python3,
 python3-setuptools,
 python3-fsapfs (>= 20181205),
 python3-cffi-backend (>= 1.9.1),
 python3-cryptography (>= 2.0.2),
 python3-dfdatetime (>= 20181025),
 python3-dtfabric (>= 20170524),
 python3-idna (>= 2.5),
 python3-six (>= 1.1.0),
 python3-protobuf,
 python3-tsk (>= 20200117-3),
 python3-libbde (>= 20140531),
 python3-libewf (>= 20131210),
 python3-libfsext (>= 20200819),
 python3-libfshfs (>= 20201103),
 python3-libfsntfs (>= 20151130),
 python3-libfsxfs (>= 20201114),
 python3-libfvde (>= 20160719),
 python3-libfwnt (>= 20160418),
 python3-libluksde (>= 20200101),
 python3-libqcow (>= 20201213),
 python3-libsigscan (>= 20150627),
 python3-libsmdev (>= 20140529),
 python3-libsmraw (>= 20140612),
 python3-libvhdi (>= 20131210),
 python3-libvmdk (>= 20140421),
 python3-libvshadow (>= 20160109),
 python3-libvslvm (>= 20160109),
 python3-mock,
Standards-Version: 4.5.1
Homepage: https://github.com/log2timeline/dfvfs
Vcs-Git: https://salsa.debian.org/pkg-security-team/dfvfs.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/dfvfs

Package: python3-dfvfs
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
 python3-fsapfs (>= 20181205),
 python3-cffi-backend (>= 1.9.1),
 python3-cryptography (>= 2.0.2),
 python3-dfdatetime (>= 20180324),
 python3-dtfabric (>= 20170524),
 python3-idna (>= 2.5),
 python3-six (>= 1.1.0),
 python3-protobuf,
 python3-tsk (>= 20200117-3),
 python3-libbde (>= 20140531),
 python3-libewf (>= 20131210),
 python3-libfsext (>= 20200819),
 python3-libfshfs (>= 20201103),
 python3-libfsntfs (>= 20151130),
 python3-libfsxfs (>= 20201114),
 python3-libfvde (>= 20160719),
 python3-libfwnt (>= 20160418),
 python3-libluksde (>= 20200101),
 python3-libqcow (>= 20201213),
 python3-libsigscan (>= 20150627),
 python3-libsmdev (>= 20140529),
 python3-libsmraw (>= 20140612),
 python3-libvhdi (>= 20131210),
 python3-libvmdk (>= 20140421),
 python3-libvshadow (>= 20160109),
 python3-libvslvm (>= 20160109),
Description: Digital Forensics Virtual File System
 The Digital Forensics Virtual File System, provides read-only access
 to file-system objects from various storage media types and file
 formats. The goal of dfVFS is to provide a generic interface for
 accessing file-system objects, for which it uses several back-ends
 that provide the actual implementation of the various storage media
 types, volume systems and file systems.

## dfvfs 20211228

=== requirements.txt ===
pip >= 7.0.0
PyYAML >= 3.10
cffi >= 1.9.1
cryptography >= 2.0.2
dfdatetime >= 20211113
dtfabric >= 20170524
libbde-python >= 20140531
libewf-python >= 20131210
libfsapfs-python >= 20201107
libfsext-python >= 20210721
libfshfs-python >= 20210722
libfsntfs-python >= 20200921
libfsxfs-python >= 20210726
libfvde-python >= 20160719
libfwnt-python >= 20210717
libluksde-python >= 20200101
libmodi-python >= 20210405
libqcow-python >= 20201213
libsigscan-python >= 20191221
libsmdev-python >= 20140529
libsmraw-python >= 20140612
libvhdi-python >= 20201014
libvmdk-python >= 20140421
libvsgpt-python >= 20211115
libvshadow-python >= 20160109
libvslvm-python >= 20160109
pytsk3 >= 20210419
pyxattr >= 0.7.2

=== debian/changelog ===
dfvfs (20211228-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 00:42:32 +0200

dfvfs (20211228-0kali1) kali-dev; urgency=medium

  * New upstream version 20211228
  * Update build-deps
  * Update debian/copyright

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 18 May 2022 11:16:22 +0200

=== debian/control ===
--- 
+++ 
@@ -8,30 +8,33 @@
  python3-fsapfs (>= 20181205),
  python3-cffi-backend (>= 1.9.1),
  python3-cryptography (>= 2.0.2),
- python3-dfdatetime (>= 20181025),
+ python3-dfdatetime (>= 20211113),
  python3-dtfabric (>= 20170524),
  python3-idna (>= 2.5),
  python3-six (>= 1.1.0),
  python3-protobuf,
- python3-tsk (>= 20200117-3),
+ python3-tsk (>= 20210419),
  python3-libbde (>= 20140531),
  python3-libewf (>= 20131210),
- python3-libfsext (>= 20200819),
- python3-libfshfs (>= 20201103),
+ python3-libfsext (>= 20210721),
+ python3-libfshfs (>= 20210722),
  python3-libfsntfs (>= 20151130),
- python3-libfsxfs (>= 20201114),
+ python3-libfsxfs (>= 20210717),
  python3-libfvde (>= 20160719),
- python3-libfwnt (>= 20160418),
+ python3-libfwnt (>= 20210717),
  python3-libluksde (>= 20200101),
+ python3-libmodi,
  python3-libqcow (>= 20201213),
  python3-libsigscan (>= 20150627),
  python3-libsmdev (>= 20140529),
  python3-libsmraw (>= 20140612),
  python3-libvhdi (>= 20131210),
  python3-libvmdk (>= 20140421),
+ python3-libvsgpt,
  python3-libvshadow (>= 20160109),
  python3-libvslvm (>= 20160109),
  python3-mock,
+ python3-pyxattr,
 Standards-Version: 4.5.1
 Homepage: https://github.com/log2timeline/dfvfs
 Vcs-Git: https://salsa.debian.org/pkg-security-team/dfvfs.git

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//, filenamemangle=s%.*/(\d+)\.tar\.gz%dfvfs-$1.tar.gz%" \
    https://github.com/log2timeline/dfvfs/releases .*/archive/refs/tags/(20.*)\.tar\.gz

## dfvfs 20240505

=== requirements.txt ===
PyYAML >= 3.10
dfdatetime >= 20221112
dtfabric >= 20230518
libbde-python >= 20220121
libcaes-python >= 20240114
libewf-python >= 20131210
libfcrypto-python >= 20240114
libfsapfs-python >= 20220709
libfsext-python >= 20220829
libfsfat-python >= 20220925
libfshfs-python >= 20220831
libfsntfs-python >= 20211229
libfsxfs-python >= 20220829
libfvde-python >= 20220121
libfwnt-python >= 20210717
libluksde-python >= 20220121
libmodi-python >= 20210405
libphdi-python >= 20220228
libqcow-python >= 20201213
libsigscan-python >= 20230109
libsmdev-python >= 20140529
libsmraw-python >= 20140612
libvhdi-python >= 20201014
libvmdk-python >= 20140421
libvsapm-python >= 20230506
libvsgpt-python >= 20211115
libvshadow-python >= 20160109
libvslvm-python >= 20160109
pytsk3 >= 20210419
xattr >= 0.7.2 ; platform_system != "Windows"

=== debian/changelog ===
dfvfs (20240505-2) unstable; urgency=medium

  * Team upload.
  * Drop obsolete dependencies on python3-mock & python3-six

 -- Alexandre Detiste <tchet@debian.org>  Thu, 16 Jan 2025 20:19:12 +0100

dfvfs (20240505-1) unstable; urgency=medium

  * New upstream version 20240505
  * Update build-dependencies
  * Fix watch file

 -- Hilko Bengen <bengen@debian.org>  Sat, 28 Dec 2024 12:55:59 +0100

=== debian/control ===
Source: dfvfs
Section: python
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Hilko Bengen <bengen@debian.org>
Build-Depends: debhelper-compat (= 13), dh-python, python3,
 python3-setuptools,
 python3-caes (>= 0~20240114),
 python3-cffi-backend (>= 1.9.1),
 python3-cryptography (>= 2.0.2),
 python3-dfdatetime (>= 20181025),
 python3-dtfabric (>= 20170524),
 python3-fcrypto (>= 0~20240114),
 python3-fsapfs (>= 20220709),
 python3-fsfat (>= 0~20220925),
 python3-idna (>= 2.5),
 python3-libbde (>= 20220121),
 python3-libewf (>= 20131210),
 python3-libfsext (>= 20200819),
 python3-libfshfs (>= 20201103),
 python3-libfsntfs (>= 20151130),
 python3-libfsxfs (>= 20201114),
 python3-libfvde (>= 20160719),
 python3-libfwnt (>= 20160418),
 python3-libluksde (>= 20200101),
 python3-libqcow (>= 20201213),
 python3-libsigscan (>= 20150627),
 python3-libsmdev (>= 20140529),
 python3-libsmraw (>= 20140612),
 python3-libvhdi (>= 20131210),
 python3-libvmdk (>= 20140421),
 python3-libvshadow (>= 20160109),
 python3-libvslvm (>= 20160109),
 python3-modi (>= 0~20210405),
 python3-pbr (>= 4.2.0) <!nocheck>,
 python3-phdi (>= 0~20220228),
 python3-protobuf,
 python3-tsk (>= 20200117-3),
 python3-vsapm (>= 0~20230506),
 python3-vsgpt (>= 0~20211115),
 python3-xattr,
Standards-Version: 4.5.1
Homepage: https://github.com/log2timeline/dfvfs
Vcs-Git: https://salsa.debian.org/pkg-security-team/dfvfs.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/dfvfs

Package: python3-dfvfs
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
 python3-caes (>= 0~20240114),
 python3-cffi-backend (>= 1.9.1),
 python3-cryptography (>= 2.0.2),
 python3-dfdatetime (>= 20180324),
 python3-dtfabric (>= 20170524),
 python3-fcrypto (>= 0~20240114),
 python3-fsapfs (>= 20220709),
 python3-fsfat (>= 0~20220925),
 python3-idna (>= 2.5),
 python3-libbde (>= 20220121),
 python3-libewf (>= 20131210),
 python3-libfsext (>= 20200819),
 python3-libfshfs (>= 20201103),
 python3-libfsntfs (>= 20151130),
 python3-libfsxfs (>= 20201114),
 python3-libfvde (>= 20160719),
 python3-libfwnt (>= 20160418),
 python3-libluksde (>= 20200101),
 python3-libqcow (>= 20201213),
 python3-libsigscan (>= 20150627),
 python3-libsmdev (>= 20140529),
 python3-libsmraw (>= 20140612),
 python3-libvhdi (>= 20131210),
 python3-libvmdk (>= 20140421),
 python3-libvshadow (>= 20160109),
 python3-libvslvm (>= 20160109),
 python3-modi (>= 0~20210405),
 python3-phdi (>= 0~20220228),
 python3-protobuf,
 python3-tsk (>= 20200117-3),
 python3-vsapm (>= 0~20230506),
 python3-vsgpt (>= 0~20211115),
 python3-xattr,
Description: Digital Forensics Virtual File System
 The Digital Forensics Virtual File System, provides read-only access
 to file-system objects from various storage media types and file
 formats. The goal of dfVFS is to provide a generic interface for
 accessing file-system objects, for which it uses several back-ends
 that provide the actual implementation of the various storage media
 types, volume systems and file systems.

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//, filenamemangle=s%.*/(\d+)\.tar\.gz%dfwinreg-$1.tar.gz%" \
    https://github.com/log2timeline/dfvfs/tags (?:.*/)?v?@ANY_VERSION@@ARCHIVE_EXT@
